Package ghidra.program.database.code

# Class DataFilteredCodeUnitIterator

java.lang.Object
ghidra.program.database.code.DataFilteredCodeUnitIterator

All Implemented Interfaces:
  `DataIterator`, `Iterable<Data>`, `Iterator<Data>`

public class DataFilteredCodeUnitIterator extends Object implements DataIterator
Converts a code unit iterator into a data iterator.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface ghidra.program.model.listing.DataIterator

  `DataIterator.IteratorWrapper`

- ## Field Summary

  ### Fields inherited from interface ghidra.program.model.listing.DataIterator

  `EMPTY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DataFilteredCodeUnitIterator(CodeUnitIterator it)`
  Constructs a new DataFilteredCodeUnitIterator.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `hasNext()`
  `Data`
  `next()`
  `void`
  `remove()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface ghidra.program.model.listing.DataIterator

  `iterator`

  ### Methods inherited from interface java.lang.Iterable

  `forEach, spliterator`

  ### Methods inherited from interface java.util.Iterator

  `forEachRemaining`

- ## Constructor Details

  - ### DataFilteredCodeUnitIterator

    public DataFilteredCodeUnitIterator(CodeUnitIterator it)
    Constructs a new DataFilteredCodeUnitIterator.
    Parameters:
      `it` - the codeunit iterator to filter on.

- ## Method Details

  - ### remove

    public void remove()
    Specified by:
      `remove` in interface `Iterator<Data>`
    See Also:
      - `Iterator.remove()`

  - ### hasNext

    public boolean hasNext()
    Specified by:
      `hasNext` in interface `DataIterator`
    Specified by:
      `hasNext` in interface `Iterator<Data>`
    See Also:
      - `DataIterator.hasNext()`

  - ### next

    public Data next()
    Specified by:
      `next` in interface `DataIterator`
    Specified by:
      `next` in interface `Iterator<Data>`
    See Also:
      - `DataIterator.next()`